in scala
class Tuple20

`case class` Tuple20 [+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12, +T13, +T14, +T15, +T16, +T17, +T18, +T19, +T20]
  `extends` java.lang.Object
  `with` scala.Product20[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20]
  `with` scala.ScalaObject
  `with` scala.Product

  Tuple20 is the canonical representation of a @see Product20

Constructor Summary
| `def` this (_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18, _19: T19, _20: T20)

Val Summary
| `val` _1 : T1
| `val` _10 : T10
| `val` _11 : T11
| `val` _12 : T12
| `val` _13 : T13
| `val` _14 : T14
| `val` _15 : T15
| `val` _16 : T16
| `val` _17 : T17
| `val` _18 : T18
| `val` _19 : T19
| `val` _2 : T2
| `val` _20 : T20
| `val` _3 : T3
| `val` _4 : T4
| `val` _5 : T5
| `val` _6 : T6
| `val` _7 : T7
| `val` _8 : T8
| `val` _9 : T9

Def Summary
`final` `override` | `def` $tag : scala.Int
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`override` | `def` hashCode : scala.Int
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` toString : java.lang.String

Def inherited from scala.Product20[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20]
_1 , _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _2, _20, _3, _4, _5, _6, _7, _8, _9, arity, element

Def inherited from scala.Product
arity , element, productPrefix

Constructor Detail

`def` this (_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18, _19: T19, _20: T20)

Val Detail

`val` _1 : T1

`val` _10 : T10

`val` _11 : T11

`val` _12 : T12

`val` _13 : T13

`val` _14 : T14

`val` _15 : T15

`val` _16 : T16

`val` _17 : T17

`val` _18 : T18

`val` _19 : T19

`val` _2 : T2

`val` _20 : T20

`val` _3 : T3

`val` _4 : T4

`val` _5 : T5

`val` _6 : T6

`val` _7 : T7

`val` _8 : T8

`val` _9 : T9

Def Detail

`final override def` $tag : scala.Int

`override def` equals (x$1: scala.Any): scala.Boolean

`override def` hashCode : scala.Int

`final override def` productPrefix : java.lang.String

`override def` toString : java.lang.String